 <style>
  .fa-pencil {
    color:#ddd;
    float:right;
    margin-top:-25px !important;
    /*margin-right:8px;*/
    padding-right:8px;
    padding-left:30px;
    padding-bottom:15px;
    /*padding-top:15px;*/
    z-index:999999 !important;
    cursor:pointer;
  }

.fa-trash {
  cursor:pointer;
}

.fa-usd {
    margin:0px !important;
    padding:0px !important;
  }

  .wrapper {
    padding:10px;
  }

  article { 
    overflow-y: auto;
    position: relative;
    border-bottom:1px solid #E7E7E7;
  }

  button {
    float:left;
    font-family: Arial, Helvetica !important;
  }

  #recent button{
    margin-top:10px;
  } 

  .fa {
    margin-top:15px;
  }

  hr {
    margin:-5px 0px -10px 0px;
  }

  nav {
    -webkit-box-shadow: 0px -10px 10px -3px rgba(207,207,207,1);
    -moz-box-shadow: 0px -10px 10px -3px rgba(207,207,207,1);
    box-shadow: 0px -10px 10px -3px rgba(207,207,207,1);
  }

  .card {
    background-color:#f9f9f9;
  }
  </style>
  </script>
    <div id="spinner-bg"></div>
  <div id="spinner"><img src="/assets/spinner.gif"></div>
     <div class="wrapper">
      <nav class="navbar navbar-full navbar-fixed-bottom navbar-light" style="background-color: #e3f2fd;">

        <ul class="nav nav-pills">
          <li class="nav-item"><a class="nav-link" href="#recent">Recent</a></li>
          <li class="nav-item"><a class="nav-link" href="#new">New</a></li>
          <li class="nav-item"><a class="nav-link" href="#import">Import</a></li>
        </ul>
      </nav>

      <article data-spy="scroll" data-target="#scrollspy-nav" data-offset="150">

        <div class="card" id='recent'>

          <div class="card-block">
            <h4 class="card-title"><i class="fa fa-list" aria-hidden="true"></i> Recent lists
            <img class="img-thumbnail pull-right" src="{1}">
            </h4>
            {0} <!-- user lists in html string-->
          </div>
        </div>

        <div class="card" id='new'>
          <div class="card-block">
            <h4 class="card-title"><i class="fa fa-plus-circle" aria-hidden="true"></i>
 Create New List</h4>
            <p class="card-text">Create a new list form scratch. Start by entering the list title below.</p>
            <form action="/newlist" method="post">
              <input type="text" name="title" class="item-input form-control" placeholder="Enter list title..." /> 
              <button style="margin-top:10px;" class="btn btn-primary btn-block" type="submit">Create!</button>
            </form>
          </div>
        </div>

        <div class="card" id='import'>
          <div class="card-block">
            <h4 class="card-title"><i class="fa fa-upload" aria-hidden="true"></i>
 Import From Text</h4>
            <p class="card-text">Type in the title and paste your list in the box below. One item per line.</p>
            <form action="/newlistimport" method="post">
              <input type="text" class="item-input form-control" name="title" placeholder="Enter list title..." />          
              <textarea name="list-items" placeholder="Paste in your list here..." class="form-control" rows="3"></textarea>
              <button style="margin-top:10px;" class="btn btn-primary btn-block" type="button submit">Import!</button>
            </form>
          </div>
        </div>

        <div class="card" id='all-lists'>
          <div class="card-block">
            <h4 class="card-title"><i class="fa fa-usd" aria-hidden="true"></i>

 All lists</h4>
 <form method="GET" action="/main" class="form-inline" style="margin-bottom:25px; max-width:620px;">
  <div class="form-group">
    <label for="date-from">Date from </label>
    <input type="date" name="date-from" class="form-control" id="date-from" placeholder="e.g. 2016-12-15">
  </div>
  <div class="form-group">
    <label for="date-to">to </label>
    <input type="date" name="date-to" class="form-control" id="date-to" placeholder="e.g. 2016-12-20">
  </div>
  <button type="submit" class="btn btn-primary pull-right">Filter</button>
</form>

<table class="table table-inverse table-striped" style="margin-bottom:40px;">
<tr class="invert">
<th>id</th>
<th>title</th>
<th>created</th>
<th>status</th>
<th>amount</th>
<th>delete permanently?</th>
</tr>
{2}
</table>
    </div>
        </div>

  </article>
    </div><!-- /.wrapper -->
<script>
/* Update the view every 30 seconds */
// if (!si) {
//   var si = setInterval(function(){ reloadView(); }, 30000);
// }
$( ".fa-pencil" ).click(function( event ) {
  var s = $('body').scrollTop();
  $('#spinner, #spinner-bg').show();
  event.preventDefault();
  var listId = $(this).attr('id');
  var oldListName = $('#'+listId+'-list-name').text();
  var newListName = prompt("Please list name", oldListName);
  if (newListName) {
    $.post( '/changelistname/'+listId, {list_name:newListName}, function( data ) {
      $('body').html(data);
      $('body').scrollTop(s);
      reloadView();
    });
  }
  $('#spinner, #spinner-bg').hide();
});

$( ".delete-list" ).click(function( event ) {
  event.preventDefault();
  var listId = $(this).attr('id');
  if (confirm('Delete list #' +listId+' permanently?')) {
    console.log('delete');
    window.location.href = "/deletelist/"+listId+"/permanently";
  }

});

</script>